Package net.shibboleth.profile.context.logic

# Class SpringExpressionPredicate

java.lang.Object
net.shibboleth.shared.spring.expression.AbstractSpringExpressionEvaluator
net.shibboleth.shared.spring.expression.SpringExpressionPredicate<ProfileRequestContext>
net.shibboleth.profile.context.logic.SpringExpressionPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class SpringExpressionPredicate extends SpringExpressionPredicate<ProfileRequestContext>
Predicate whose condition is defined by an Spring EL expression.

## Constructor Summary

Constructors
Constructor
Description
`SpringExpressionPredicate(String expression)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`prepareContext(EvaluationContext context, Object... input)`

### Methods inherited from class net.shibboleth.shared.spring.expression.SpringExpressionPredicate

`getInputType, setInputType, setReturnOnError, test`

### Methods inherited from class net.shibboleth.shared.spring.expression.AbstractSpringExpressionEvaluator

`evaluate, getCustomObject, getOutputType, getReturnOnError, setCustomObject, setHideExceptions, setOutputType, setReturnOnError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### SpringExpressionPredicate

public SpringExpressionPredicate(@Nonnull @NotEmpty @ParameterName(name="expression") String expression)
Constructor.

Parameters:
  `expression` - the expression to evaluate

## Method Details

### prepareContext

protected void prepareContext(@Nonnull EvaluationContext context, @Nullable Object... input)

Overrides:
  `prepareContext` in class `SpringExpressionPredicate<ProfileRequestContext>`